  CZ_Product:
    Name: CZ Product
    DefaultValue: Not Mapped To Product Dimension      ## Use the DefaultValue property as the ELSE condition with Dimensions
    Rules:
      #########################################
      # - If we want to override values coming in from the GroupBy rule, the override logic needs to come before
      # - We match against the same sources as the GroupBy rule.  The first source listed with a value is the one that will be 
      #   evaluated against the "Equals: acme"
      # - We use a lower transform becuase tag values represent user-defined content.  Normalize could be used in it's place
      #########################################   
      - Type: Group
        Name: Pied Piper
        Conditions:
          - Source:
            - Tag:Product
            - Tag:Products
            - Tag:product
            Transforms:
              - Type: Lower
            Equals: acme
      #########################################
      - Type: GroupBy
        Source:
          - Tag:Product
          - Tag:Products
          - Tag:product
        Transforms:
          - Type: Normalize
        CoalesceSources: True
